using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace KstCMS.DAL
{
    public interface IWebMenu
    {
        void Add(string[] FieldValues, params string[] FieldNames);
        void Delete(int id);
        void Update(string[] FieldValues, int IndexId, params string[] FieldNames);
        KstCMS.Model.SiteModel.WebMenu GetModel(int id, params string[] FieldNames);
        System.Data.DataSet GetList(string strWhere, string OrderBy, int Top, params string[] FieldNames);
        bool Exists(int Id);
        bool Exists(int SiteId, string MenuDir);
        int GetMaxId();
        

    }
}
